Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Interface CSSOMSVGColor.ModificationHandler

All Known Subinterfaces:
  CSSOMSVGPaint.PaintModificationHandler

All Known Implementing Classes:
  CSSOMSVGColor.AbstractModificationHandler, CSSOMSVGPaint.AbstractModificationHandler

Enclosing interface:
  CSSOMSVGColor

public static interface CSSOMSVGColor.ModificationHandler

To manage the modifications on a CSS value.

Method Summary
`void` | `blueFloatValueChanged(short unit, float value)` Called when the blue float value has changed.
`void` | `blueTextChanged(java.lang.String text)` Called when the blue value text has changed.
`void` | `colorAppend(float f)` Called when the ICC color has been append.
`void` | `colorChanged(short type, java.lang.String rgb, java.lang.String icc)` Called when the SVGColor has changed.
`void` | `colorInsertedBefore(float f, int idx)` Called when the ICC color has been inserted.
`void` | `colorProfileChanged(java.lang.String cp)` Called when the ICC color profile has changed.
`void` | `colorRemoved(int idx)` Called when the ICC color has been removed.
`void` | `colorReplaced(float f, int idx)` Called when the ICC color has been replaced.
`void` | `colorsCleared()` Called when the ICC colors has changed.
`void` | `colorsInitialized(float f)` Called when the ICC colors has been initialized.
`void` | `greenFloatValueChanged(short unit, float value)` Called when the green float value has changed.
`void` | `greenTextChanged(java.lang.String text)` Called when the green value text has changed.
`void` | `redFloatValueChanged(short unit, float value)` Called when the red float value has changed.
`void` | `redTextChanged(java.lang.String text)` Called when the red value text has changed.
`void` | `rgbColorChanged(java.lang.String text)` Called when the RGBColor text has changed.
`void` | `rgbColorICCColorChanged(java.lang.String rgb, java.lang.String icc)` Called when the RGBColor and the ICCColor text has changed.
`void` | `textChanged(java.lang.String text)` Called when the value text has changed.

Method Detail

### textChanged

    public void textChanged(java.lang.String text)
                     throws org.w3c.dom.DOMException

  Called when the value text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### redTextChanged

    public void redTextChanged(java.lang.String text)
                        throws org.w3c.dom.DOMException

  Called when the red value text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### redFloatValueChanged

    public void redFloatValueChanged(short unit,
                                     float value)
                              throws org.w3c.dom.DOMException

  Called when the red float value has changed.

  Throws:
    `org.w3c.dom.DOMException`

### greenTextChanged

    public void greenTextChanged(java.lang.String text)
                          throws org.w3c.dom.DOMException

  Called when the green value text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### greenFloatValueChanged

    public void greenFloatValueChanged(short unit,
                                       float value)
                                throws org.w3c.dom.DOMException

  Called when the green float value has changed.

  Throws:
    `org.w3c.dom.DOMException`

### blueTextChanged

    public void blueTextChanged(java.lang.String text)
                         throws org.w3c.dom.DOMException

  Called when the blue value text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### blueFloatValueChanged

    public void blueFloatValueChanged(short unit,
                                      float value)
                               throws org.w3c.dom.DOMException

  Called when the blue float value has changed.

  Throws:
    `org.w3c.dom.DOMException`

### rgbColorChanged

    public void rgbColorChanged(java.lang.String text)
                         throws org.w3c.dom.DOMException

  Called when the RGBColor text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### rgbColorICCColorChanged

    public void rgbColorICCColorChanged(java.lang.String rgb,
                                        java.lang.String icc)
                                 throws org.w3c.dom.DOMException

  Called when the RGBColor and the ICCColor text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### colorChanged

    public void colorChanged(short type,
                             java.lang.String rgb,
                             java.lang.String icc)
                      throws org.w3c.dom.DOMException

  Called when the SVGColor has changed.

  Throws:
    `org.w3c.dom.DOMException`

### colorProfileChanged

    public void colorProfileChanged(java.lang.String cp)
                             throws org.w3c.dom.DOMException

  Called when the ICC color profile has changed.

  Throws:
    `org.w3c.dom.DOMException`

### colorsCleared

    public void colorsCleared()
                       throws org.w3c.dom.DOMException

  Called when the ICC colors has changed.

  Throws:
    `org.w3c.dom.DOMException`

### colorsInitialized

    public void colorsInitialized(float f)
                           throws org.w3c.dom.DOMException

  Called when the ICC colors has been initialized.

  Throws:
    `org.w3c.dom.DOMException`

### colorInsertedBefore

    public void colorInsertedBefore(float f,
                                    int idx)
                             throws org.w3c.dom.DOMException

  Called when the ICC color has been inserted.

  Throws:
    `org.w3c.dom.DOMException`

### colorReplaced

    public void colorReplaced(float f,
                              int idx)
                       throws org.w3c.dom.DOMException

  Called when the ICC color has been replaced.

  Throws:
    `org.w3c.dom.DOMException`

### colorRemoved

    public void colorRemoved(int idx)
                      throws org.w3c.dom.DOMException

  Called when the ICC color has been removed.

  Throws:
    `org.w3c.dom.DOMException`

### colorAppend

    public void colorAppend(float f)
                     throws org.w3c.dom.DOMException

  Called when the ICC color has been append.

  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.